Bug 1077081 - Review Request: spread - cluster messaging toolkit
Review Request: spread - cluster messaging toolkit
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2014-03-17 03:18 EDT by Jan Holcapek
Modified: 2015-05-02 15:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-02 15:24:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Holcapek 2014-03-17 03:18:56 EDT
Spec URL: https://github.com/holcapek/spread-rpm/raw/master/spread.spec
SRPM URL: https://github.com/holcapek/spread-rpm/raw/master/spread-4.2.0-1.fc19.src.rpm
Description: The Spread Toolkit is a computer software package that provides a high performance group communication system that is resilient to faults across local and wide area networks.
Fedora Account System Username: holcapek
Comment 1 Jan Holcapek 2014-03-17 03:31:13 EDT
$ rpmlint spread-4.2.0-1.fc19.src.rpm
spread.src: W: name-repeated-in-summary C Spread
spread.src: W: invalid-license Spread Open Source License
spread.src: W: file-size-mismatch spread-src-4.2.0.tar.gz = 736189, http://www.spread.org/download/spread-src-4.2.0.tar.gz = 2628
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 2 Jan Holcapek 2014-03-17 03:31:50 EDT
$ rpmlint spread-4.2.0-1.fc19.x86_64.rpm
spread.x86_64: W: name-repeated-in-summary C Spread
spread.x86_64: W: invalid-license Spread Open Source License
spread.x86_64: W: no-manual-page-for-binary flush_user
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 3 Jan Holcapek 2014-03-17 03:32:23 EDT
$ rpmlint spread-devel-4.2.0-1.fc19.x86_64.rpm
spread-devel.x86_64: W: no-dependency-on spread/spread-libs/libspread
spread-devel.x86_64: W: invalid-license Spread Open Source License
spread-devel.x86_64: W: shared-lib-calls-exit /usr/lib64/libspread.so.3.0.0 exit@GLIBC_2.2.5
spread-devel.x86_64: W: manual-page-warning /usr/share/man/man3/SP_multicast.3.gz 28: warning: macro `TB' not defined
spread-devel.x86_64: W: manual-page-warning /usr/share/man/man3/FL_multicast.3.gz 50: warning: macro `TB' not defined
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
Comment 4 Jan Holcapek 2014-03-17 03:32:54 EDT
$ rpmlint spread-static-4.2.0-1.fc19.x86_64.rpm
spread-static.x86_64: W: invalid-license Spread Open Source License
spread-static.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 5 Jan Holcapek 2014-03-17 04:05:18 EDT
Regargind the invalid-license warning: I've dropped a question to legal@lists.fedoraproject.org asking whether Spread Open Source License is suitable for a Fedora package.
Comment 6 Jan Holcapek 2014-03-17 04:11:48 EDT
(In reply to Jan Holcapek from comment #1)
> spread.src: W: file-size-mismatch spread-src-4.2.0.tar.gz = 736189,
> http://www.spread.org/download/spread-src-4.2.0.tar.gz = 2628

This is due to registration form to be filled in to download the tarball.
Comment 7 Lubomir Rintel 2014-03-17 06:15:00 EDT
0.) Please package a more recent version.

4.3.0 seems already available.

1.) Source can not be downloaded

> spread.src: W: file-size-mismatch spread-src-4.2.0.tar.gz = 736189,
> http://www.spread.org/download/spread-src-4.2.0.tar.gz = 2628
> 1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Please don't use the URL in Source tag then, but in a comment instead:

# Download it from: http://www.spread.org/download/spread-src-4.2.0.tar.gz
Source0: %{name}-src-%{version}.tar.gz

2.) Why do you ship static package?

Static linking is strongly discouraged and should be avoided whenever possible.

3.) Why do you override docdir with pkgdocdir?

Apart from that it won't build with older RPM (such as in el7 and older), it's not a very usual thing to do and result in path names that are not stable across package releases.

4.) Libraries are shipped in -devel packages

You probably want to include in the main or -libs package. That will need moving the ldconfig scriptlets as well.

(In reply to Jan Holcapek from comment #5)
> Regargind the invalid-license warning: I've dropped a question to
> legal@lists.fedoraproject.org asking whether Spread Open Source License is
> suitable for a Fedora package.

Thanks. I believe they are merely clarifying the legal matters without changing the meaning and their advertising clause is very 4-clause BSDish, therefore it should be fine for Fedora as long as nothing GPLed links to it. Adding FE_LEGAL dependency.
Comment 8 Jan Holcapek 2014-03-17 09:39:58 EDT
(In reply to Lubomir Rintel from comment #7)
> 0.) Please package a more recent version.
> 
> 4.3.0 seems already available.

I understand your concern, however, this is intentional: the reason why I decided to package spread (in this particular version) was to encourage the undisclosed vendor of undisclosed (proprietary) database system to not ship spread 4.2.0 binaries as part of their (messy) RPM, but rather rely on soon-to-be-part-of-Fedora/EPEL package of its own.

If you are not strongly against, I would packge version 4.2.0 first, and push an update to 4.3.0 only then.

> 1.) Source can not be downloaded
> 
> > spread.src: W: file-size-mismatch spread-src-4.2.0.tar.gz = 736189,
> > http://www.spread.org/download/spread-src-4.2.0.tar.gz = 2628
> > 1 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> Please don't use the URL in Source tag then, but in a comment instead:
> 
> # Download it from: http://www.spread.org/download/spread-src-4.2.0.tar.gz
> Source0: %{name}-src-%{version}.tar.gz

Fixed: relative Source0, comment w/ download URL.

> 2.) Why do you ship static package?
> 
> Static linking is strongly discouraged and should be avoided whenever
> possible.

Fixed: no -static package.

> 3.) Why do you override docdir with pkgdocdir?
> 
> Apart from that it won't build with older RPM (such as in el7 and older),
> it's not a very usual thing to do and result in path names that are not
> stable across package releases.

Fixed.

> 4.) Libraries are shipped in -devel packages
> 
> You probably want to include in the main or -libs package. That will need
> moving the ldconfig scriptlets as well.

Fixed: -devel package w/ headers only, -libs package w/ shared libs.

> (In reply to Jan Holcapek from comment #5)
> > Regargind the invalid-license warning: I've dropped a question to
> > legal@lists.fedoraproject.org asking whether Spread Open Source License is
> > suitable for a Fedora package.
> 
> Thanks. I believe they are merely clarifying the legal matters without
> changing the meaning and their advertising clause is very 4-clause BSDish,
> therefore it should be fine for Fedora as long as nothing GPLed links to it.
> Adding FE_LEGAL dependency.

That's good news.
Comment 9 Jan Holcapek 2014-04-09 09:53:47 EDT
I have just noticed Spread Open-Source License has already been discussed at legal mailing list, yet so far the license seems not to considered a Good license as per [1]. However, the final decision has not been made, and I am about to reach out to Spread Concepts regarding the possibility of re-licensing Spread framework to the three-clause BSD license, as suggested at [2].

[1] https://fedoraproject.org/wiki/Licensing:Main#Software_License_List
[2] https://lists.fedoraproject.org/pipermail/legal/2014-March/002429.html
Comment 10 Jan Holcapek 2015-05-02 15:24:25 EDT
Since Spread developers are not willing to re-license to three-clause BSD license, I am giving up the effort to include it in Fedora/EPEL. Instead, I have submitted the package to Rpmfusion just recently: https://bugzilla.rpmfusion.org/show_bug.cgi?id=3601

Note You need to log in before you can comment on or make changes to this bug.